%define	name	dmapi
%define	version	2.1.0
%define	release	2mdk

%define lib_name_orig	libdm
%define lib_major	0
%define lib_name	%mklibname dm %{lib_major}

Summary:	Data Management API runtime environment.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.src.tar.bz2
License:	GPL
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://oss.sgi.com/projects/xfs/
BuildRequires:	xfs-devel

%description
Files required by system software using the Data Management API
(DMAPI).  This is used to implement the interface defined in the
X/Open document:  Systems Management: Data Storage Managment
(XDSM) API dated February 1997.  This interface is implemented
by the libdm library.

%package -n	%{lib_name}
Summary:	Main library for %{lib_name_orig}
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

%package -n	%{lib_name}-devel
Summary:	Data Management API static libraries and headers.
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	dm-devel = %{version}-%{release}
Obsoletes:	dm-devel

%description -n	%{lib_name}-devel
dmapi-devel contains the libraries and header files needed to
develop programs which make use of the Data Management API
(DMAPI).  If you install dmapi-devel, you'll also want to install
the dmapi (runtime) package and the xfsprogs-devel package.

%prep
%setup -q

%build
%configure2_5x --libdir=/%{_lib}
%make

%install
rm -rf $RPM_BUILD_ROOT
make install DIST_ROOT=%{buildroot}/
make install-dev DIST_ROOT=%{buildroot}/

# (sb) installed but unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/dmapi

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc doc/COPYING README
/%{_lib}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc/PORTING doc/CHANGES.gz doc/COPYING README
/%{_lib}/*.so
/%{_lib}/*a
%{_libdir}/*.so
%{_libdir}/*a
%{_mandir}/man3/*
%{_includedir}/*/*

%changelog
* Thu Feb 26 2004 Thomas Backlund <tmb@mandrake.org> 2.1.0-1mdk
- done by Per yvind Karlsen
  * 2.1.0

* Mon Jan 26 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0.8-3mdk
- fix unpackaged files
- drop prefix tag
- proper use of %%mklibname
- cosmetics

* Mon Jul 28 2003 Juan Quintela <quintela@mandrakesoft.com> 2.0.8-2mdk
- add /lib/*so to files.

* Fri Jul 18 2003 Juan Quintela <quintela@mandrakesoft.com> 2.0.8-1mdk
- 2.0.8.

* Fri Jul 18 2003 Juan Quintela <quintela@mandrakesoft.com> 2.0.5-4mdk
- configure2_5x.
- remove Requires: libxfs1, rpm should be able to do that alone.
- return to use _lib.
- Use %%mklibname.

* Thu Jul 17 2003 Stefan van der Eijk <stefan@eijk.nu> 2.0.5-3mdk
- add missing .so symlink in /lib

* Thu Jun 19 2003 Vincent Danen <vdanen@mandrakesoft.com> 2.0.5-2mdk
- rebuild
- use /lib so we don't get "revolving symlinks"

* Mon Dec 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.5-1mdk
- 2.0.5

* Fri Jun  7 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2, rpmlint: hardcoded-library-path /lib

* Thu Mar  7 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.0.0-1mdk
- 2.0.0

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2.2-1mdk
- Split lib in subpackage.
- Rework the spec.
- 0.2.2.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.1-1mdk
- First attempt.


# end of file
